Name:		videocatcher
Version:	0.1.5
Release:	%mkrel 4
Summary:	Videocatcher is an Internet television application
License:	GPLv2+
Group:		Graphical desktop/KDE4
Url:		http://kde-apps.org/content/show.php/Videocatcher?content=121556
Source:		121556-%{name}-%{version}.tar.xz
Source1:	videocatcher.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs4-devel
BuildRequires:  kdepimlibs4-devel

%description
Videocatcher is an Internet television application powered by KDE.
Videocatcher makes it easy to subscribe to video feeds and download
new videos. It works as a podcast client as well.

%prep
%setup -q 

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/videocatcher.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/videocatcher
%_datadir/applications/kde4/videocatcher.desktop
%_datadir/apps/videocatcher/videocatcherui.rc
%_datadir/config.kcfg/videocatcher.kcfg
%_datadir/icons/hicolor/scalable/apps/videocatcher.svgz
%{_datadir}/pixmaps/videocatcher.png

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.1.5-3pclos2010
- rebuild for 4.5.1

* Tue Aug 17 2010 pcserver <pcserver at hush.com> 0.1.5-2pclos2010
- update package

* Fri Jun 04 2010 Chomp <chomptheman@gmail.com> 0.1.5-1pclos2010
- Update, added kdepimlibs4-devel to BuildRequires
- add png to pixmaps folder so icon shows across all desktops (tex)


* Wed May 19 2010 Texstar <texstar at gmail.com> 0.1.4-1pclos2010
- initial package

